#ifndef CHierGlyph_H
#define CHierGlyph_H

#include "CHierDisplay.H"
#include "Vec2.H"

class CHierGlyph: public CHierDisplay 
{
private: 
    double blocksize;
    int blockcnt;  
    double halfblocksize;
    int count;

    double basex;
    double basey;
    double *isin;
    double *icos;
    double alpha;
    ARR<Vec2> polymean;
    ARR<Vec2> polymax;
    ARR<Vec2> polymin;
    int brushedClusterNumber;
    int unbrushedClusterNumber;

    ARR<Vec2> band;

public:
	CHierGlyph(CHierDisplayInformation* hier_info);

private:
	//draw a single cluster;
	void DrawSingleCluster(Cluster &c, bool brushed);
	//set parameters used for drawing;
	void SetParameters();
	//free space used for drawing;
	void FreeSpace();

    void DrawSingleNodeBand(Cluster &c, double density, bool brushed);

    void CountBrushedClusters( Cluster node );

    void CountUnbrushedClusters( Cluster node );

    void InputMouseMotion(int x, int y);
};

#endif



